cURL
curl "https://api.ionq.co/v0.4/backends/qpu.aria-1"import requests
url = "https://api.ionq.co/v0.4/backends/{backend}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ionq.co/v0.4/backends/{backend}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ionq.co/v0.4/backends/{backend}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ionq.co/v0.4/backends/{backend}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ionq.co/v0.4/backends/{backend}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ionq.co/v0.4/backends/{backend}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"average_queue_time": 1181215,
"backend": "qpu.forte-1",
"last_updated": "2025-06-16T00:00:00Z",
"qubits": 25,
"status": "<string>",
"characterization_id": "617a1f8b-59d4-435d-aa33-695433d7155e",
"degraded": true,
"kw": 4902.81,
"location": "College Park, MD, USA",
"supported_error_mitigations": [
"debiasing"
],
"supported_gates": [
"x",
"y",
"z",
"h",
"s",
"si",
"t",
"ti",
"v",
"vi",
"rx",
"ry",
"rz",
"cnot",
"swap",
"xx",
"yy",
"zz",
"not"
],
"supported_native_gates": [
"gpi",
"gpi2",
"ms"
]
}Backends
Get a backend
Retrieve detailed information about a specific backend.
GET
/
backends
/
{backend}
cURL
curl "https://api.ionq.co/v0.4/backends/qpu.aria-1"import requests
url = "https://api.ionq.co/v0.4/backends/{backend}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ionq.co/v0.4/backends/{backend}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ionq.co/v0.4/backends/{backend}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ionq.co/v0.4/backends/{backend}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ionq.co/v0.4/backends/{backend}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ionq.co/v0.4/backends/{backend}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"average_queue_time": 1181215,
"backend": "qpu.forte-1",
"last_updated": "2025-06-16T00:00:00Z",
"qubits": 25,
"status": "<string>",
"characterization_id": "617a1f8b-59d4-435d-aa33-695433d7155e",
"degraded": true,
"kw": 4902.81,
"location": "College Park, MD, USA",
"supported_error_mitigations": [
"debiasing"
],
"supported_gates": [
"x",
"y",
"z",
"h",
"s",
"si",
"t",
"ti",
"v",
"vi",
"rx",
"ry",
"rz",
"cnot",
"swap",
"xx",
"yy",
"zz",
"not"
],
"supported_native_gates": [
"gpi",
"gpi2",
"ms"
]
}Retrieve detailed information about a specific backend including its current status, qubit count, queue times, and performance characteristics. Use this to check if a backend is available before submitting jobs or to get technical specifications.
Learn more about backend specifications.
Path Parameters
Response
200 - application/json
Successfully retrieved backend.
A backend that you can target your program to run on.
Was this page helpful?

